Bug 7543 - Button name change not reflected in action method
Button name change not reflected in action method
Status: CLOSED INVALID
Product: guibuilder
Classification: Unclassified
Component: Code
3.x
PC Windows 3.1/NT
: P1 (vote)
: TBD
Assigned To: issues@editor
issues@guibuilder
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-31 13:50 UTC by Mike
Modified: 2003-06-30 18:26 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike 2000-08-31 13:50:43 UTC
Changed a button name in component inspector all corresponding code changes were
made except for the name of the actual IDE generated method that performs the
action. It would be easy to change except the code is in the blue zone.
Comment 1 Petr Nejedly 2000-08-31 14:08:59 UTC
I thing this is either form or java hierarchy problem.
Comment 2 Tomas Pavek 2000-09-01 08:58:59 UTC
This is correct behaviour. The event handler method is independent on the event
source component (e.g. a button). Only when first created, the method name is
derived (by default) from the component's name (like jButton1ActionPerformed).
But anyway, the name of the event handler method can still be renamed - in
component inspector, tab events - select the event and press "..." button.
Comment 3 Quality Engineering 2003-06-30 18:20:41 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.
Comment 4 Quality Engineering 2003-06-30 18:26:29 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo